/one-sessions-patch-one¶
Summary¶
Source repository:
jef-systems/jef-one-backendSource SHA:
3270463a2e6a5d905ceae779f9a588fdde3cef87Source run id:
25887982658Lambda function:
jef-one-sessions-patch-oneHTTP method:
PATCHAPI path:
/one-sessions-patch-oneEndpoint URL:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-patch-onePayload mode:
json-body
Description¶
Function: jef-one-sessions-patch-oneModule: jef-oneAction: patch-oneMethod: PATCHInvocation Mode: ASYNCResource Path: /one-sessions-patch-oneTable: jef-one-sessionsPrimary Key: session_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
session\_id: 4dc84733-ce2a-461b-8017-4e77b3f99a66user\_id: 5d604ee6-02b3-4678-a898-6293b635b555entity\_id: d49b8a8c-30d9-4172-bb72-71855d5804c2session\_entity\_field: entity_numbersession\_entity\_field\_value: 1001mobile\_application\_id: 16b06bf7-7f70-454d-8947-ab94fdb81adadesktop\_application\_id: e888a8ca-0c65-44d7-af19-a15311427125is\_valid: Trueexpires\_at: 2026-05-22T05:50:29Zcreated\_at: 2026-05-15T05:50:29Zfailure\_reason: Invalid login credentials
Payload Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.session_id.type": "S",
"root.attributes.session_id.required": "True",
"root.attributes.session_id.format": "uuidv4",
"root.attributes.session_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.user_id.type": "S",
"root.attributes.user_id.required": "False",
"root.attributes.user_id.format": "uuidv4",
"root.attributes.user_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.entity_id.type": "S",
"root.attributes.entity_id.required": "False",
"root.attributes.entity_id.format": "uuidv4",
"root.attributes.entity_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.session_entity_field.type": "S",
"root.attributes.session_entity_field.required": "False",
"root.attributes.session_entity_field.regex": "^[A-Za-z][A-Za-z0-9_]{0,127}$",
"root.attributes.session_entity_field_value.type": "S",
"root.attributes.session_entity_field_value.required": "False",
"root.attributes.session_entity_field_value.regex": "^[0-9]{4}$",
"root.attributes.mobile_application_id.type": "S",
"root.attributes.mobile_application_id.required": "False",
"root.attributes.mobile_application_id.format": "uuidv4",
"root.attributes.mobile_application_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.desktop_application_id.type": "S",
"root.attributes.desktop_application_id.required": "False",
"root.attributes.desktop_application_id.format": "uuidv4",
"root.attributes.desktop_application_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.is_valid.type": "BOOL",
"root.attributes.is_valid.required": "False",
"root.attributes.is_valid.regex": "^(true|false)$",
"root.attributes.expires_at.type": "S",
"root.attributes.expires_at.required": "False",
"root.attributes.expires_at.format": "iso8601",
"root.attributes.expires_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.created_at.type": "S",
"root.attributes.created_at.required": "False",
"root.attributes.created_at.format": "iso8601",
"root.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.failure_reason.type": "S",
"root.attributes.failure_reason.required": "False",
"root.attributes.failure_reason.regex": "^.{0,500}$"
}
Response Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
Request Payload¶
{
"session_id": "4dc84733-ce2a-461b-8017-4e77b3f99a66",
"user_id": "5d604ee6-02b3-4678-a898-6293b635b555",
"entity_id": "d49b8a8c-30d9-4172-bb72-71855d5804c2",
"session_entity_field": "entity_number",
"session_entity_field_value": "1001",
"mobile_application_id": "16b06bf7-7f70-454d-8947-ab94fdb81ada",
"desktop_application_id": "e888a8ca-0c65-44d7-af19-a15311427125",
"is_valid": "True",
"expires_at": "2026-05-22T05:50:29Z",
"created_at": "2026-05-15T05:50:29Z",
"failure_reason": "Invalid login credentials"
}
Response¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
CMD curl¶
curl -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-patch-one" -H "Content-Type: application/json" --data-raw "{\"session_id\": \"4dc84733-ce2a-461b-8017-4e77b3f99a66\", \"user_id\": \"5d604ee6-02b3-4678-a898-6293b635b555\", \"entity_id\": \"d49b8a8c-30d9-4172-bb72-71855d5804c2\", \"session_entity_field\": \"entity_number\", \"session_entity_field_value\": \"1001\", \"mobile_application_id\": \"16b06bf7-7f70-454d-8947-ab94fdb81ada\", \"desktop_application_id\": \"e888a8ca-0c65-44d7-af19-a15311427125\", \"is_valid\": true, \"expires_at\": \"2026-05-22T05:50:29Z\", \"created_at\": \"2026-05-15T05:50:29Z\", \"failure_reason\": \"Invalid login credentials\"}"
PowerShell curl¶
curl.exe -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-patch-one" -H "Content-Type: application/json" --data-raw '{"session_id": "4dc84733-ce2a-461b-8017-4e77b3f99a66", "user_id": "5d604ee6-02b3-4678-a898-6293b635b555", "entity_id": "d49b8a8c-30d9-4172-bb72-71855d5804c2", "session_entity_field": "entity_number", "session_entity_field_value": "1001", "mobile_application_id": "16b06bf7-7f70-454d-8947-ab94fdb81ada", "desktop_application_id": "e888a8ca-0c65-44d7-af19-a15311427125", "is_valid": true, "expires_at": "2026-05-22T05:50:29Z", "created_at": "2026-05-15T05:50:29Z", "failure_reason": "Invalid login credentials"}'